using FairyGUI;

namespace NBC
{
    /// <summary>
    /// UI多语言
    /// </summary>
    public static class UILanguage
    {
        /// <summary>
        /// 用于过滤界面设置语言时，避免导出脚本的组件重复设置语言
        /// </summary>
        public static bool isPanelSetting = false;

        public static void TrySetComponentLanguage(GComponent component)
        {
            if (!isPanelSetting)
                UI.Inst.TrySetComponentLanguage(component);
        }
    }
}